Subject: bug#46782: guix environment --expose options cannot be layered onto $PWD

From: Simon Tournier <[email-masked]>
Date: Fri, 27 Jan 2023 18:31:38 +0100

Hi Maxim,

A naive question since it works when using the --no-cwd option.

On ven., 27 janv. 2023 at 11:19, Maxim Cournoyer <[email-masked]> wrote:

> --8<---------------cut here---------------start------------->8---
> guix environment -C --expose=/tmp=$PWD/tmp --ad-hoc bash coreutils \
>  -- bash -c 'stat $PWD/tmp'
> --8<---------------cut here---------------end--------------->8---

Is $PWD referring to the same thing?  Because one is outside and the
other is inside.

Cheers,
simon